#
# Copyright (c) 2008-2015 Thierry Florac <tflorac AT ulthar.net>
# All Rights Reserved.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#

"""PyAMS_form.terms module

This module is used only to provide a custom ITerms adapter providing translations for
boolean terms.
"""

from z3c.form.interfaces import IBoolTerms, IFormLayer, ITerms, IWidget
from z3c.form.term import BoolTerms as BaseBoolTerms
from zope.interface import Interface, implementer_only
from zope.schema.interfaces import IBool

from pyams_utils.adapter import adapter_config


__docformat__ = 'restructuredtext'

from pyams_form import _


@adapter_config(context=(Interface, IFormLayer, Interface, IBool, IWidget), provides=ITerms)
@implementer_only(IBoolTerms)
class BoolTerms(BaseBoolTerms):
    """Default yes and no terms are used by default for IBool fields."""

    trueLabel = _('yes')
    falseLabel = _('no')
